# Struct ethcore_light::on_demand::request::Account [−] [src]

    pub struct Account {
        pub header: Header,
        pub address: Address,
    }

Request for an account structure.

## Fields

`header: Header`

Header for verification.

`address: Address`

Address requested.

## Methods

### `impl Account`
[src]

#### `fn check_response(&self, proof: &[Bytes]) -> Result<BasicAccount, Error>`

Check a response with an account against the stored header.

## Trait Implementations

### `impl Debug for Account`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Clone for Account`
[src]

#### `fn clone(&self) -> Account`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl PartialEq for Account`
[src]

#### `fn eq(&self, __arg_0: &Account) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &Account) -> bool`

This method tests for `!=`.

### `impl Eq for Account`
[src]

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)